Starlinks Global offers domestic and international shipping services for shipments originating in the United States and the United Kingdom.
This guide provides developers with the details needed to build Starlinks Global shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify your Starlinks Global account in ShipStation API |
username | string | required | Your Starlinks Global account username |
api_key | string | required | Your Starlinks Global account API key |
accept_fm_parcels | boolean | optional | Accept FM parcels |
Your username and API key are available in your Starlinks customer pack.
IMPORTANT:
Effective 1 January 2026, all deliveries to Saudi Arabia must include a National Address Short Code to comply with new regulations. Failure to follow these specific data requirements may result in shipment rejection.
Submission Requirements
- Field Placement: Enter the Short Code as the only value in the
address_line_1field. It must be declared as a standalone value.- Strict Format: The code must follow the RRRR1234 format (exactly 4 letters followed by 4 numbers).
- Data Validation: Do not include special characters, spaces, commas, or dashes.
Example:
RIYD1234(Correct)Example:
RIYD-1234orRIYD 1234(Will fail validation)
- Cross-Border PUDO services require weight and dimensions to successfully create a label.
You can connect a Starlinks Global account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
For instructions on connecting Starlinks Global via the ShipStation API dashboard, go to our Starlinks Global help article.
carrier_name: starlinks
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/starlinks HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"username": "mystarlinksusername"
"api_key": "123456789",
"accept_fm_parcels": false
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Starlinks Global does not send rates to ShipStation API. Contact your Starlinks Global account manager for details about your contracted rates.
Available Starlinks Global services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code | Origin Countries |
|---|---|---|
| Starlinks Cross Border Standard Domestic | starlinks_cross_border_standard_domestic | GB, US |
| Starlinks Cross Border Direct Domestic | starlinks_cross_border_direct_domestic | GB, US |
| Starlinks Cross Border Final Mile Domestic | starlinks_cross_border_final_mile_domestic | GB |
| Starlinks Domestic Final Mile | starlinks_domestic_final_mile | GB, US |
| Starlinks Express Cross Border Final Mile Domestic | starlinks_express_cross_border_final_mile_domestic | GB US |
| Service | API Code | Origin Countries |
|---|---|---|
| Cross Border Standard | starlinks_cross_border_standard | GB, US |
| Cross Border Express | starlinks_cross_border_express | GB, US |
| Cross Border PUDO | starlinks_cross_border_pudo | GB, US |
| Starlinks Cross Border Direct | starlinks_cross_border_direct | GB, US |
| Starlinks Cross Border Final Mile | starlinks_cross_border_final_mile | GB, US |
| Starlinks Express Cross Border Final Mile | starlinks_express_cross_border_final_mile | GB, US |
Starlinks Global will support the B2C (business to consumer) movement type, but not the B2B (business to business) movement type, as defined by the Windsor Framework. You should not use Starlinks Global services for B2B shipments at this time.
For B2C shipments going from Great Britain to Northern Ireland, Starlinks Global requires the following properties in the packages.products object:
descriptionvalueharmonized_tariff_codequantitycountry_of_originsku
These data points will be mandatory for B2C Starlinks Global shipments from 1 May 2025. If not provided, the label will not be generated. If available, you can provide this data before the deadline.
Starlinks Global does not support creating return labels
The following carrier package types are available for Startlinks Global services:
| Name | API Code | Package Attributes |
|---|---|---|
| Parcel | starlinks_parcel | International |
Stalinks Global supports adding carrier insurance to your shipments. Review the Parcel Insurance page for details on adding shipment insurance with ShipStation API.
- Label sizes: 4" x 6"
- Label formats: PDF, ZPL
Starlinks Global does not support adding custom label messages.
Starlinks Global does not currently support multi-package shipments with ShipStation API.
Starlinks Global does not support label branding.
Starlinks Global supports voiding labels with ShipStation API.
Starlinks Global does not support paperless labels.
Customs declarations are not currently available to download via ShipStation API for Starlinks Global international shipments. You must create customs documents with Starlink directly. Starlinks then submits them electronically. See section 8 "Customs Clearance - All Countries" on page 7 of the Startlinks Global Terms and Conditions PDF for more details.
NOTE: Action Required: New Zealand Border Levy Changes
Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged per consignment, not per item.
See the Shipping to New Zealand: Low Value Goods (LVG) Levy section in International Shipments for full details.
| Confirmation Type | API Code | Description |
|---|---|---|
| No confirmation required | none | No confirmation required for delivery. |
See our Delivery Confirmation page for more details about using the confirmation property.
Starlinks Global supports certain advanced options, which you can add to the shipment object when creating a shipment or label.
| Option | Type | Default Value | Description |
|---|---|---|---|
collect_on_delivery | Object | null | Defers payment to recipient when package is delivered. See our Collect on Delivery page for details about using this property. |
delivered_duty_paid | boolean | false | Indicates the shipment is DDP (that is, the shipper is paying the duties/taxes for the shipment rather than the recipient). |
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Starlinks Global does not require manifesting your shipments and does not provide an endpoint to do so.
Starlinks Global does not support scheduling pickups using ShipStation API.
Starlinks Global supports shipping to service points with their PUDO-specific service.
ShipStation API's integration with Starlinks Global supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.